Use different VirtualBox version

How would I go about using a different version of virtualbox (for instance, from unstable)?

Is it enough to make an overlay for the virtualbox package? I have a feeling that might not enough for the kernel module etc…

I posted about this a while ago and got a good response.

If this doesn’t work for some reason, let me know. I think I also created a module to use locally, I could share, although I’d have to look for it.